epic5 (2.1.6-1ubuntu1) noble; urgency=medium

  * d/patches/define-xopen-bsd-source.patch: #define _XOPEN_SOURCE and
    _BSD_SOURCE to get access to the declaration of strptime, strlcat and some
    other symbols.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 10 Apr 2024 14:07:56 +1200

epic5 (2.1.6-1build10) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:46:00 +1100

epic5 (2.1.6-1build9) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:51:45 +0000

epic5 (2.1.6-1build8) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 17:00:59 +0100

epic5 (2.1.6-1build7) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 00:30:03 -0300

epic5 (2.1.6-1build6) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:03:40 +0100

epic5 (2.1.6-1build5) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Feb 2023 08:51:09 -0300

epic5 (2.1.6-1build4) lunar; urgency=medium

  * Rebuild against new perlapi-5.36.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Nov 2022 16:20:37 +0100

epic5 (2.1.6-1build3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:39:58 +0100

epic5 (2.1.6-1build2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 12:01:10 -0300

epic5 (2.1.6-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 15:56:07 +0100

epic5 (2.1.6-1) unstable; urgency=medium

  * New upstream release.
    - Fix detection of ruby include headers (Closes: #733774)
  * Change debhelper compat level to 12

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 09 Oct 2021 13:04:08 +0200

epic5 (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 15 Aug 2016 17:25:40 +0200

epic5 (2.0-1) unstable; urgency=medium

  * New upstream release
  * Add CPPFLAGS to the CFLAGS, remove -Wall
  * Make it build reproducible.  Patch from Reiner Herrmann
    <reiner@reiner-h.de> (Closes: #829761)
  * Update config.patch to apply and only have irc.debian.org as
    default.
  * Make it build using openssl 1.1 (Closes: #828295)
  * Use dh_prep instead of dh_clean -k
  * Add sh -e in the prerm
  * Use sh instead of bash in the preinst

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 24 Jul 2016 17:34:28 +0200

epic5 (1.1.11-1) unstable; urgency=medium

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 19 Jul 2015 20:40:12 +0200

epic5 (1.1.10-1) unstable; urgency=medium

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 09 Jun 2014 14:18:30 +0200

epic5 (1.1.6-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 06 Aug 2013 21:00:20 +0200

epic5 (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Add build-arch and build-indep targets
  * Use dpkg-buildflags to set CFLAGS / LDFLAGS

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 21 May 2013 22:10:21 +0200

epic5 (1.1.4-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 06 Aug 2012 20:10:12 +0200

epic5 (1.1.2-2) unstable; urgency=low

  * Fix config.patch to set defaults to epic5 instead of epic4.

 -- Kurt Roeckx <kurt@roeckx.be>  Thu, 22 Jul 2010 13:54:33 +0200

epic5 (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kurt Roeckx <kurt@roeckx.be>  Sat, 01 May 2010 08:43:45 +0000

epic5 (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 13 Apr 2010 22:40:11 +0200

epic5 (1.0-2) unstable; urgency=low

  * Add missing copyright information
  * Enable tcl support, add build dependency on tcl-dev
  * Don't call configure with --without-tcl
  * Fix typo in description still mentioning 4 instead of 5.
  * Add build depedency on ruby so that configure enabales ruby support

 -- Kurt Roeckx <kurt@roeckx.be>  Sun, 18 Jan 2009 13:51:21 +0100

epic5 (1.0-1) unstable; urgency=low

  * Initial release of epic5

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 26 Dec 2008 14:13:31 +0100

epic4 (1:2.10-1) unstable; urgency=low

  * New upstream release

 -- Kurt Roeckx <kurt@roeckx.be>  Tue, 18 Nov 2008 23:00:46 +0100

epic4 (1:2.8-1) unstable; urgency=low

  * New maintainer (Closes: #503558)
  * New upstream release (Closes: #443125)
  * Remove conflicts (Closes: #468425)

 -- Kurt Roeckx <kurt@roeckx.be>  Fri, 31 Oct 2008 19:06:06 +0100

epic4 (1:2.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in debian/rules (patch by Chris Lamb) (closes: #484378)
  * Lintian cleanup (closes: #477173):
    - Don't ignore error from make distclean
    - Replaced PWD by CURDIR in debian/rules
    - Converted debian/copyright to UTF-8
    - Call dh_makeshlibs in right order
    - Updated/fixed menu section
  * Updated standards version to 3.8.0
  * Added Homepage and watch file

 -- Peter Eisentraut <petere@debian.org>  Sun, 22 Jun 2008 19:37:39 +0200

epic4 (1:2.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump to Standards-Version 3.7.3.
  * Apply patch from Evgeni Golov to fix FTBFS.  closes: #476055.

 -- Clint Adams <schizo@debian.org>  Mon, 21 Apr 2008 11:02:53 -0400

epic4 (1:2.6-1) unstable; urgency=medium

  * New upstream bugfix release (includes: fix for crash caused
    by /NICK on ircnet)
  * Use -O1 in debian/rules to avoid problems with aliasing
    (Closes: 401090). This is quite important, hence the medium
    urgency. Thanks go to Kurt Roeckx for spotting this.

 -- Miroslaw L. Baran <baran@debian.org>  Thu, 30 Nov 2006 21:59:45 +0100

epic4 (1:2.4-1) unstable; urgency=low

  * New upstream release: stability fixes. (Closes: #378020)
  * Updated debhelper compatibility level and policy version.
  * Acknowledged NMU by Kurt Roeckx.

 -- Miroslaw L. Baran <baran@debian.org>  Sun,  8 Oct 2006 17:35:53 +0200

epic4 (1:2.2-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add build dependency on libperl-dev (Closes: #376946)

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 12 Jul 2006 16:29:10 +0000

epic4 (1:2.2-2) unstable; urgency=low

  * Rebuilt for the new OpenSSL version.
  * Bumped the standards version.

 -- Miros/law L. Baran <baran@debian.org>  Sun,  9 Oct 2005 13:11:40 +0200

epic4 (1:2.2-1) unstable; urgency=low

  * New stable upstream release - this is final release of
    the epic4 line. (Closes: #293488)

 -- Miros/law L. Baran <baran@debian.org>  Mon, 28 Mar 2005 21:25:02 +0200

epic4 (1:2.0-2) unstable; urgency=high

  * Incorporated changes from stable CVS (to commit_id 716),
    mostly bugfixes and IRCnet uniqueID support.
  * Fix: avoid NULL deref on empty numeric replies - thus
    urgency high.
  * Fix: do not segfault after pressing the key bound to the
    TOGGLE_STOP_SCREEN action (Closes: #247464).
  * This release is more or less identical to the RC1 for
    EPIC4-2.2 (i.e. EPIC4-2.1.1).

 -- Miros/law L. Baran <baran@debian.org>  Sun, 15 Aug 2004 13:37:44 +0200

epic4 (1:2.0-1) unstable; urgency=low

  * New upstream release: epic4-2.0 STABLE.
  * Added note about the ascii 255 character to the
    README.Debian.

 -- Miros/law L. Baran <baran@debian.org>  Sun, 14 Mar 2004 00:37:29 +0100

epic4 (1:1.2.8-1) unstable; urgency=medium

  * New upstream release. Amended upstream EPIC4-2.0 RC1.
  * Updated download URIs in debian/copyright.
  * New policy version in debian/control: 3.6.1.
  * If it's possible, let this version go into sarge.

 -- Miros/law L. Baran <baran@debian.org>  Sun, 25 Jan 2004 20:59:07 +0100

epic4 (1:1.2.7-1) unstable; urgency=low

  * New upstream release. Upstream EPIC4-2.0 RC1.
  * Package unreleased.

 -- Miros/law L. Baran <baran@debian.org>  Thu, 22 Jan 2004 21:51:02 +0100

epic4 (1:1.2.6-1) unstable; urgency=medium

  * New upstream version: mostly stability fixes.
  * Urgency medium, as this is the new sarge's epic4 in spe.

 -- Miros/law L. Baran <baran@debian.org>  Fri,  2 Jan 2004 23:08:18 +0100

epic4 (1:1.2.2-1) unstable; urgency=low

  * Unreleased.
  * New upstream version: beta release, many bugfixes. Definitely
    abandoning CVS snapshots in epic4 package. (Closes: #202916).
  * Enabled 'quote nick', because of broken ircservers somewhere
    on the Net (closes: #198232). Thanks to Kevin Arima, who
    provided a patch.
  * Perl interpreter enabled again (closes: #159119).

 -- Miros/law L. Baran <baran@debian.org>  Fri,  5 Dec 2003 21:35:56 +0100

epic4 (1:1.1.12.20030903-1) unstable; urgency=medium

  * Unreleased.
  * Snapshot from upstream CVS as of 03.09.2003: new upstream
    release.
  * Acknowledged NMU by Simon Richter <sjr@debian.org>.

 -- Miros/law L. Baran <baran@debian.org>  Wed,  3 Sep 2003 20:04:57 +0200

epic4 (1:1.1.11.20030409-2.1) unstable; urgency=low

  * NMU, asked for by Kevin Arima <debian@furball.org>. Rationale can
    be found at
    http://lists.debian.org/debian-mentors/2003/debian-mentors-200309/msg00008.html
  * Fixes a problem when DCC_STORE_PATH_VAR has not been set up
    (Closes: #207615)
  * Fixes a buffer overrun in the handling of CTCP UTC (Closes: #208008)

 -- Simon Richter <sjr@debian.org>  Wed,  3 Sep 2003 00:47:43 +0200

epic4 (1:1.1.11.20030409-2) unstable; urgency=high

  * Applied security patch from Jeremy Nelson (fixes the
    alloca underrun problem when a rogue IRC server sends a
    CTCP request from an extremely large nickname).

 -- Miros/law L. Baran <baran@debian.org>  Sat, 24 May 2003 22:35:39 +0200

epic4 (1:1.1.11.20030409-1) unstable; urgency=high

  * New upstream release. Snapshot from upstream CVS as of
    version 1.1.11. Many changes, including the fix for
    potentially user exploitable buffer overflow in the /userhost
    command (closes: #188226, #174435).
  * Applied Martin Schulze's patch, preventing a potential buffer
    overflow during evaluation of the text for the status bar.
    Thanks, Martin.
  * Perl and tcl bindings explicitely disabled.
  * Urgency high because of the security fix.
  * Updated the debian/copyright file.
  * Small packaging corrections.

 -- Miros/law L. Baran <baran@debian.org>  Wed,  9 Apr 2003 23:16:56 +0200

epic4 (1:1.1.7.20021209-1) unstable; urgency=low

  * Snapshot from upstream CVS as of 09.12.2002. Unreleased.

 -- Miros/law L. Baran <baran@debian.org>  Mon,  9 Dec 2002 14:23:55 +0100

epic4 (1:1.1.7.20020907-2) unstable; urgency=low

  * Added note about new key binding mechanism in README.Debian.

 -- Miros/law L. Baran <baran@debian.org>  Wed,  2 Oct 2002 21:07:19 +0200

epic4 (1:1.1.7.20020907-1) unstable; urgency=low

  * Snapshot from upstream CVS as of 07.09.2002: new upstream
    release. Changes include:
    + full IPv6 support. (Closes: #116451)
    + rewritten key input/binding system (not completely
      backwards-compatible, e.g. meta-x key bindings are
      gone, please read /usr/share/doc/epic4/keys for more
      precise information).
  * Changed the NAN handling code in check_val(), this should
    make epic script parser work again with any value
    beginning with 'nan', many thanks to J. S. Connell.
    (Closes: #156368)
  * Perl support temporarily disabled (epic does not yet
    compile with perl 5.8).

 -- Miros/law L. Baran <baran@debian.org>  Tue, 10 Sep 2002 12:10:10 +0200

epic4 (1:1.1.5.20020630-1) unstable; urgency=low

  * Snapshot from upstream CVS as of 30.06.2002: new upstream
    release, now one can use '-p' option with the /dcc chat,
    and changing channel in secondary window works properly.
    (Closes: #145633, #142074, #143535)
  * Added a patch from Goswin Brederlow, preventing from
    SIGFPE on Alpha in certain situations. Thanks, Goswin.
    (Closes: #147351)

 -- Miros/law L. Baran <baran@debian.org>  Sun, 30 Jun 2002 17:54:28 +0200

epic4 (1:1.1.2.20020219-2) unstable; urgency=medium

  * 'Here comes the main again' release.
  * Moved back to main.
  * HIGH_BIT_ESCAPE set to 0 again.

 -- Miros/law L. Baran <baran@debian.org>  Tue, 26 Mar 2002 18:32:48 +0100

epic4 (1:1.1.2.20020219-1) unstable; urgency=low

  * Snapshot from upstream CVS as of 19.02.2002 (Closes: #133581,
    '/window channel' without arguments doesn't crash epic4 now).
  * Small changes in debian/rules (now build-depends on debhelper
    3.4.8, which has proper dh_installdocs -X support). This was done
    independently from NMU.
  * The debian/copyright file synchronized with NMU.

 -- Miros/law L. Baran <baran@debian.org>  Wed, 20 Feb 2002 16:47:47 +0100
 
epic4 (1:1.1.2.20020129-1.1) unstable; urgency=low

  * NMU
  * debian/copyright:
  - accepted patch from Istvan Sebestyen <stevee@alphanet.ch>
    to add a debian/copyright file that is done The Right Way (tm)
    (Closes: #132575)
  * debian/rules:
  - avoid removing debian/copyright on clean: and installing
    COPYRIGHT as debian/copyright

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 16 Feb 2002 16:45:53 -0200

epic4 (1:1.1.2.20020129-1) unstable; urgency=high

  * Snapshot from upstream CVS as of 29.01.2002, includes SSL
    support, perl support and fix for the security issues with
    ROM characters and alternate charset toggling. (With thanks
    to Joseph Carter, Closes: #125784)
  * Perl support enabled.
  * SSL support enabled (this moves epic4 into the non-US).
  * Changed versioning scheme (now includes CVS snapshot date).
  * Tightened dependency on epic4-help (now versioned).
  * Small manpage corrections. (Closes: #100521)
  * Imported into private CVS repository.

 -- Miros/law L. Baran <baran@debian.org>  Fri,  1 Feb 2002 11:42:07 +0100

epic4 (1:1.0.1-2) unstable; urgency=low

  * Adopted with Joseph Carter's consent.

 -- Miros/law L. Baran <baran@debian.org>  Mon, 29 Oct 2001 15:25:25 +0100

epic4 (1:1.0.1-1) unstable; urgency=low

  * New upstream version
  * set XTERM now uses x-terminal-emulator by default (Closes: #93900)
  * fixed Suggests: epic4-help - it's a dependency now (Closes: #92556)
  * Applied Igor Belyi's patch so -port works with DCC  (Closes: #93700)

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 17 Apr 2001 14:59:03 -0700

epic4 (1:1.0-1) unstable; urgency=low

  * New upstream version - 1.0 at long last!

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 31 Mar 2001 21:58:02 -0800

epic4 (1:0.10.1-1) unstable; urgency=low

  * New upstream version (release voting restarted, if you find bugs with
    this version, hop needs to know immediately)
  * New standards version ("We've upped our standards, so up yours!"  heh)
  * Now uses debhelper v3 features - build dep on debhelper >= 3.0.0
  * Window bug in 0.9.12 fixed (Closes: #87634)
  * Polling loop bug fixed upstream (Closes: #81639)
  * tabscript is gone, tc is the replacement  (Closes: #82349)
  * This version should work better for you Alexandre (Closes: #88444)
  * Added IRC menu hint (Closes: #80073)
  * Sorry Remi, this took way too long..  (Closes: #79367)
  * -H <hostname> will cause epic to use the correct IP, provided your
    /etc/hosts is configured properly.  epic4 (like many programs) will
    by default just grab the first interface it finds.  (Closes: #44371)

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 24 Mar 2001 02:43:32 -0800

epic4 (1:0.9.12-1) unstable; urgency=low

  * I finally get sick of waiting for 0.9.12 and upload 0.9.9 instead, and
    would you look at this?  New upstream version.  =)

 -- Joseph Carter <knghtbrd@debian.org>  Wed, 29 Nov 2000 17:58:29 -0500

epic4 (1:0.9.9-1) unstable; urgency=low

  * New upstream version at upstream request
  * At time of packaging, 0.9.11 is available.  0.9.9 is more stable.
  * No longer tries infinitely to resolve a host (Closes: #71260)
  * Copy tc to tabscript for backward compatibility (Closes: #65023)
  * No such fle/directory bug is fixed upstream (Closes: #65563)
  * Sharing server file with ircII would be a bad idea (Closes: #69287)
  * Added build-depends (Closes: #70278)
  * Now depends on epic4-help (Closes: #71849)

 -- Joseph Carter <knghtbrd@debian.org>  Mon, 27 Nov 2000 13:40:55 -0500

epic4 (1:0.9.6-1) unstable; urgency=low

  * New upstream version

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 17 Aug 2000 17:17:56 -0500

epic4 (pre2.508-2) frozen unstable; urgency=medium

  * functions.c fix for axur (Closes: #63266)

 -- Joseph Carter <knghtbrd@debian.org>  Tue,  2 May 2000 06:32:06 -0700

epic4 (pre2.508-1) frozen unstable; urgency=medium

  * New upstream version
  * Fixes the last-column bug (Closes: #62794)
  * Fixes join bug in axur script (Closes: #61856, #61647)
  * Now use tabscript instead of tc at hop's suggestion (Closes: #61858)
  * Provides: irc, by request (Closes: #62486)

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 25 Apr 2000 18:28:11 -0700

epic4 (pre2.507-1) frozen unstable; urgency=medium

  * New upstream version (Closes: #58508) 

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 30 Mar 2000 04:49:35 -0800

epic4 (pre2.503-1) unstable; urgency=medium

  * New upstream version
  * This is a reupload adding a patch to fix an infinite loop.  Since I
    pulled the old out of incoming within 20 minutes of putting it there,
    I'm not making this a -2.

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 19 Dec 1999 15:39:51 -0800

epic4 (pre2.400-2) unstable; urgency=medium

  * Upstream provided a fix for the slash-space bug

 -- Joseph Carter <knghtbrd@debian.org>  Thu,  2 Dec 1999 14:52:13 -0800

epic4 (pre2.400-1) unstable; urgency=medium

  * New upstream version
  * Many bugs fixed

 -- Joseph Carter <knghtbrd@debian.org>  Wed,  1 Dec 1999 13:35:26 -0800

epic4 (pre2.200-2) unstable; urgency=medium

  * Patch around segv when epic tries to update a window's input line and
    the window no longer exists

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 25 Nov 1999 11:02:27 -0800

epic4 (pre2.200-1) unstable; urgency=low

  * New upstream version
  * no more debconf dependency, no longer needed
  * rewrote preinst and postinst for cleaner slink upgrades
  * checked package against policy 3.1.0

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 13 Nov 1999 14:41:19 -0800

epic4 (pre2.100-1) unstable; urgency=low

  * New upstream version

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 12 Nov 1999 01:34:57 -0800

epic4 (pre2.004-19991102-1) unstable; urgency=low

  * New upstream version
  * Crashed frequently, never released.

 -- Joseph Carter <knghtbrd@debian.org>  Thu,  4 Nov 1999 23:31:02 -0800

epic4 (pre2.004-19991021-1) unstable; urgency=low

  * At long last, a new upstream version !
  * preinst now uses debconf to more cleanly deal with the musical servers
    file.  Will now let you remove /etc/irc/servers if no other package is
    actually using it.  Smoother upgrade from slink.  Please test this!
  * epic4-dbg /usr/doc symlink issue squashed
  * irc.1 manpage symlink fixed

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 31 Oct 1999 23:04:27 -0800

epic4 (pre2.004-19990909-1) unstable; urgency=low

  * New upstream version
  * Built with gcc 2.95 again - hope this works!

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 19 Sep 1999 13:39:13 -0700

epic4 (pre2.004-19990903-2) unstable; urgency=low

  * Build with gcc 2.7.2 - this version does not run properly if compiled
    under gcc 2.95.  hop will upstream fix soon  (Closes: #44557, #44628)
  * bug in epic4-dbg postrm squashed  (Closes: #44627)

 -- Joseph Carter <knghtbrd@debian.org>  Wed,  8 Sep 1999 17:11:28 -0700

epic4 (pre2.004-19990903-1) unstable; urgency=low

  * New upstream version
  * Note /save changes may cause issues with some scripts

 -- Joseph Carter <knghtbrd@debian.org>  Tue,  7 Sep 1999 05:28:28 -0700

epic4 (pre2.004-19990718-1) unstable; urgency=low

  * New upstream version
  * Policy 3.0.1, debhelper v2

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 25 Jul 1999 03:58:02 -0700

epic4 (pre2.004-19990618-3) unstable; urgency=HIGH

  * prerm booboo that WILL break things is fixed

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 25 Jun 1999 23:19:55 -0700

epic4 (pre2.004-19990618-2) unstable; urgency=low

  * A few fixes to the script-debian examples
  * Updated README.Debian and split script info into SCRIPTS.Debian
  * Another possible DoS in the ANSI parser fixed

 -- Joseph Carter <knghtbrd@debian.org>  Thu, 24 Jun 1999 06:43:15 -0700

epic4 (pre2.004-19990618-1) unstable; urgency=low

  * New upstream version.
  * README.Debian now exists and contains useful info, including how to
    package epic4 scripts sanely.
  * Applied Robohak's patch to fix TERM_DOES_BRIGHT_BLINK's handling of the
    blink attribute.  Please test this, information is in README.Debian.
  * By popular demand (and threats to string me up if I didn't) I've made
    HIGH_BIT_ESCAPE default to 0 again.  This will help people who run epic4
    under screen or other things with broken terminfo's.
  * Moved current directory to the start of the default LOAD_PATH
  * /usr/bin/epic4 is now an alternative for irc, albeit only at priority 19
    since epic4 is not totally ircII compatible anymore.  (Closes: #30346)
  * There is finally a default script, /etc/epic4/epic4.irc.  It's installed
    as an alternative for epic4-default.irc at priority 19, is a conffile,
    and will be superceded by any script package you might install.
  * Because ircii removes /etc/irc/servers when purged (gah!) we can't rely
    on it not getting eaten---we now use /etc/epic4/servers.
  * added pkgscript directory to the examples.  Contents of it are an
    example debian directory for scripts, similar to what dh_make would give
    you..  (created with it in fact)
  * Fixed rules file for the above and more...
  * Added /usr/local/share/epic4/script to load path.  (Closes: #35192)

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 22 Jun 1999 19:57:01 -0700

epic4 (pre2.003-5) unstable; urgency=low

  * Added /usr/local/share/epic4/script to load path, Closes: bug#35192

 -- Joseph Carter <knghtbrd@debian.org>  Sun, 23 May 1999 21:06:28 -0700

epic4 (pre2.003-4) unstable; urgency=low

  * I never understood why pana hated the DCC checksum code so much.  It
    screws with ip masquerading.  Disabled.
  * Got rid of /usr/libexec in the package

 -- Joseph Carter <knghtbrd@debian.org>  Mon, 17 May 1999 17:09:45 -0700

epic4 (pre2.003-3) unstable; urgency=low

  * glibc2.1 build--will no longer run on slink
  * hop asked me to undef some debug code in ircaux.c, done so
  * more FHS migration stuff
  * debian/* cleanups

 -- Joseph Carter <knghtbrd@debian.org>  Fri, 14 May 1999 12:26:59 -0700

epic4 (pre2.003-2) unstable; urgency=low

  * If pre2.002 and .003 were upgraded from slink versions, the rename and
    de-conffile-ization of the serverlist would have eaten your old list and
    created a new one with just irc.debian.org in it.  No more.  Your old
    serverlist will be preserved if /etc/irc/servers doesn't already exist.

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 27 Feb 1999 03:12:38 -0800

epic4 (pre2.003-1) unstable; urgency=low

  * New upstream version fixing many nasties in pre2.002
  * manpage now only in /usr/man, not in /usr/doc too

 -- Joseph Carter <knghtbrd@debian.org>  Wed, 24 Feb 1999 18:37:27 -0800

epic4 (pre2.002-1) unstable; urgency=low

  * New upstream version
  * It's official, we now have a new beta!
  * Please note the serverlist is now /etc/irc/servers which is not owned as
    a conffile.  It's created if it doesn't exist but otherwise the file is
    considered "hands-off" much like the ircii package.
  * Upstream author believes that because epic4 is not completely compatible
    with ircII anymore, naming epic4 as an alternative for ircII is a bad
    idea. (closes #30346)

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 23 Feb 1999 08:57:40 -0800

epic4 (pre2.001NR16-1) unstable; urgency=low

  * New upstream version
  * NOBLINK_16_COLOR included upstream, now called TERM_DOES_BOLD_BLINK.
  * Forked epic4-dbg which contains binaries compiled for debugging
  * Rewrote debian/rules to facilitate fork and upstream changes
  * Went mad as a result of debian/rules rewrite and trying to figure out
    why source didn't support what I was trying to do in order to build
    the new -dbg package.

 -- Joseph Carter <knghtbrd@debian.org>  Wed, 17 Feb 1999 18:53:43 -0800

epic4 (pre2.001NR8-2) unstable; urgency=low

  * Samll change to support ^c16 so a few lame mirc scripts look right
  * Added set NOBLINK_16_COLOR, uses blink attribute for "bright
    backgrounds" if your setup allows that.  It is always off by default.
  * Removed doc/reg.c, it shouldn't be there according to author.

 -- Joseph Carter <knghtbrd@debian.org>  Sat, 21 Nov 1998 06:36:18 -0800

epic4 (pre2.001NR8-1) unstable; urgency=low

  * New upstream version
  * This is an NR version and may be unstable, caveat downloader - It should
    not be included in any release of any distribution
  * Binary is unstripped for testing reasons
  * Changed a color value to make ^c16 work the way lame mirc scripts use it

 -- Joseph Carter <knghtbrd@debian.org>  Mon, 16 Nov 1998 00:20:22 -0800

epic4 (pre2-5) unstable; urgency=low

  * Binary is now stripped again for slink release - no new bugs reported
  * Minor cleanups which don't affect functionability.
  * New email address for Debian maintainer

 -- Joseph Carter <knghtbrd@debian.org>  Tue, 13 Oct 1998 15:00:29 -0700

epic4 (pre2-4) unstable; urgency=low

  * Binary is NOT stripped which should aid in bug traching.

 -- Joseph Carter <knghtbrd@earthlink.net>  Sun, 30 Aug 1998 07:30:21 +0000

epic4 (pre2-3) unstable; urgency=low

  * Turned flow control back on.
  * Set default for HIGH_BIT_ESCAPE to 0.  (#22917)

 -- Joseph Carter <knghtbrd@earthlink.net>  Fri, 24 Jul 1998 23:29:26 +0000

epic4 (pre2-2) unstable; urgency=low

  * Applied a pair of upstream patches

 -- Joseph Carter <knghtbrd@earthlink.net>  Thu, 16 Jul 1998 08:04:48 +0000

epic4 (pre2-1) unstable; urgency=low

  * New upstream source - pre2 at last!
  * Patched bug when using gzipped scripts.

 -- Joseph Carter <knghtbrd@earthlink.net>  Mon, 13 Jul 1998 23:05:26 +0000

epic4 (pre1.400-1) unstable; urgency=low

  * New upstream source.
  * Priority changed to optional.  
  * Turned off flow control to allow bind of ctrl-s and q.  Please let me
    know this turns out to be a problem.

 -- Joseph Carter <knghtbrd@earthlink.net>  Mon,  6 Jul 1998 02:02:30 +0000

epic4 (pre1.300-2) unstable; urgency=low

  * New maintainer.
  * debian/rules cleaned up and converted to debhelper format.
  * unused files removed from source package diffs.
  * Fixed serverlist bug.

 -- Joseph Carter <knghtbrd@earthlink.net>  Sun,  5 Jul 1998 00:09:13 +0000

epic4 (pre1.300-1) unstable; urgency=low

  * New upstream version.
  * Fixes #18979.
  * Fixes #23197

 -- David N. Welton <davidw@efn.org>  Sat, 20 Jun 1998 11:04:37 -0700

epic4 (pre1.200-1) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@efn.org>  Sun, 24 May 1998 14:21:13 -0700

epic4 (pre1.100-1) unstable; urgency=low

  * New upstream source - release candidate!

 -- David N. Welton <davidw@efn.org>  Sat, 25 Apr 1998 13:49:34 -0700

epic4 (pre1.041-1) unstable; urgency=low

  * New upstream version.
  * Took binaries out of lib directory, and changed names to wserv.epic4, etc.

 -- David N. Welton <davidw@efn.org>  Sun,  4 Jan 1998 13:31:24 -0800

epic4 (pre1.040-1) unstable; urgency=low

  * New upstream version
  * Fixes Bug#16116
  * Fixes Bug#16096
  * At least it does if I guessed the regexp syntax right.. hrumph.

 -- David N. Welton <davidw@efn.org>  Thu, 18 Dec 1997 23:14:33 -0800

epic4 (pre1.039-1) unstable; urgency=low

  * New upstream version - here's hoping it's somewhat stable!

 -- David N. Welton <davidw@efn.org>  Sun, 14 Dec 1997 17:24:43 -0800

epic4 (pre1.028-2) unstable; urgency=low

  * Fixed a symlink bug

 -- David N. Welton <davidw@efn.org>  Sat,  1 Nov 1997 12:03:05 -0800

epic4 (pre1.028-1) unstable; urgency=low

  * Initial Release.

 -- David N. Welton <davidw@efn.org>  Mon, 20 Oct 1997 22:25:31 -0700
